Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
c080d2d0
Commit
c080d2d0
authored
Jun 29, 2018
by
Dr. Stefan Schimanski
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
k8s.io/metrics: use standard code-gen scripts
parent
7496c64b
Show whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
18 additions
and
19 deletions
+18
-19
update-codegen.sh
staging/src/k8s.io/metrics/hack/update-codegen.sh
+18
-19
No files found.
staging/src/k8s.io/metrics/hack/update-codegen.sh
View file @
c080d2d0
...
...
@@ -18,25 +18,23 @@ set -o errexit
set
-o
nounset
set
-o
pipefail
SCRIPT_ROOT
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
/..
SCRIPT_BASE
=
${
SCRIPT_ROOT
}
/../..
CODEGEN_PKG
=
${
CODEGEN_PKG
:-$(
cd
${
SCRIPT_ROOT
}
;
ls
-d
-1
./vendor/k8s.io/code-generator 2>/dev/null
||
echo
k8s.io/code-generator
)}
# Register function to be called on EXIT to remove generated binary.
function
cleanup
{
rm
-f
"
${
CLIENTGEN
:-}
"
}
trap
cleanup EXIT
echo
"Building client-gen"
CLIENTGEN
=
"
${
PWD
}
/client-gen"
go build
-o
"
${
CLIENTGEN
}
"
${
CODEGEN_PKG
}
/cmd/client-gen
PREFIX
=
k8s.io/metrics/pkg/apis
INPUT_BASE
=
"--input-base
${
PREFIX
}
"
CLIENTSET_PATH
=
"--output-package k8s.io/metrics/pkg/client/clientset_generated"
${
CLIENTGEN
}
--clientset-name
=
"clientset"
${
INPUT_BASE
}
--input
metrics/v1alpha1
--input
metrics/v1beta1
${
CLIENTSET_PATH
}
--output-base
${
SCRIPT_BASE
}
--go-header-file
${
SCRIPT_ROOT
}
/hack/boilerplate.go.txt
SCRIPT_ROOT
=
$(
dirname
${
BASH_SOURCE
})
/..
CODEGEN_PKG
=
${
CODEGEN_PKG
:-$(
cd
${
SCRIPT_ROOT
}
;
ls
-d
-1
./vendor/k8s.io/code-generator 2>/dev/null
||
echo
../code-generator
)}
# generate the code with:
# --output-base because this script should also be able to run inside the vendor dir of
# k8s.io/kubernetes. The output-base is needed for the generators to output into the vendor dir
# instead of the $GOPATH directly. For normal projects this can be dropped.
#
# we skip informers and listers for metrics, because we don't quite support the requisite operations yet
# we skip generating the internal clientset as it's not really needed
${
CODEGEN_PKG
}
/generate-internal-groups.sh deepcopy,conversion
\
k8s.io/metrics/pkg/client k8s.io/metrics/pkg/apis k8s.io/metrics/pkg/apis
\
"metrics:v1alpha1,v1beta1 custom_metrics:v1beta1 external_metrics:v1beta1"
\
--output-base
"
$(
dirname
${
BASH_SOURCE
})
/../../.."
\
--go-header-file
${
SCRIPT_ROOT
}
/hack/boilerplate.go.txt
${
CODEGEN_PKG
}
/generate-groups.sh client
\
k8s.io/metrics/pkg/client k8s.io/metrics/pkg/apis
\
"metrics:v1alpha1,v1beta1"
\
--output-base
"
$(
dirname
${
BASH_SOURCE
})
/../../.."
\
--go-header-file
${
SCRIPT_ROOT
}
/hack/boilerplate.go.txt
\ No newline at end of file
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment